using System;
using System.Runtime.InteropServices;

using uint32_t = System.UInt32;

namespace sharpallegro5
{
    /* allegro_image.h */
    public partial class AllegroApi
    {
        #region SharpAllegro

        private const string allegroImageDllName = "allegro_image-5.0.5-mt.dll";      

        #endregion

        [DllImport(allegroImageDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern bool al_init_image_addon();
        [DllImport(allegroImageDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern void al_shutdown_image_addon();
        [DllImport(allegroImageDllName, CallingConvention = CallingConvention.Cdecl)]
        public static extern uint32_t al_get_allegro_image_version();
    }
}
